# osgUtil::Optimizer::CombineStaticTransformsVisitor Class Reference

Combine Static Transform nodes that sit above one another. More...

Inheritance diagram for osgUtil::Optimizer::CombineStaticTransformsVisitor:

[legend]
List of all members.

## Public Member Functions

| CombineStaticTransformsVisitor (Optimizer *optimizer=0)
virtual void | apply (osg::MatrixTransform &transform)
bool | removeTransforms (osg::Node *nodeWeCannotRemove)
bool | isOperationPermissibleForObject (const osg::Object *object) const

## Protected Types

typedef std::set< osg::MatrixTransform * > | TransformSet

## Protected Attributes

Optimizer * | _optimizer
TransformSet | _transformSet

## Detailed Description

Combine Static Transform nodes that sit above one another.

## Member Typedef Documentation

typedef std::set<osg::MatrixTransform*> osgUtil::Optimizer::CombineStaticTransformsVisitor::TransformSet `[protected]`

## Constructor & Destructor Documentation

osgUtil::Optimizer::CombineStaticTransformsVisitor::CombineStaticTransformsVisitor | ( | Optimizer * | optimizer = `0` | ) | `[inline]`

## Member Function Documentation

void Optimizer::CombineStaticTransformsVisitor::apply | ( | osg::MatrixTransform & | transform | ) | `[virtual]`

bool osgUtil::Optimizer::CombineStaticTransformsVisitor::isOperationPermissibleForObject | ( | const osg::Object * | object | ) | const`[inline]`

bool Optimizer::CombineStaticTransformsVisitor::removeTransforms | ( | osg::Node * | nodeWeCannotRemove | ) |

## Member Data Documentation

Optimizer* osgUtil::Optimizer::CombineStaticTransformsVisitor::_optimizer `[protected]`

TransformSet osgUtil::Optimizer::CombineStaticTransformsVisitor::_transformSet `[protected]`

The documentation for this class was generated from the following files:

- Optimizer
- Optimizer.cpp